package com.sheep.gamegroup.presenter;

import com.sheep.gamegroup.model.entity.RequestParameEty;

/**
 * Created by ljy on 2018/3/19.
 */

public interface TryMakeMoneyContract {

    interface Presenter{
        void getData(Object o);
        void acceptedTask(RequestParameEty o);//获取已接受的任务
        void returnTask(RequestParameEty o);//获取我正在运行的任务
        void releaseTask(RequestParameEty o);//获取正在运行的任务

        void giveUpTask(int id);//放弃任务接口
    }
    interface View{

        void updateData2View(Object o);
        void failData2View(Object o);
        void acceptedTaskUpdataView(Object o);//
        void failAcceptedTask2View(Object o);//
        void giveUpTaskSuccesView(Object o);//
        void giveUpTaskFailView(Object o);//

        void returnTaskTaskUpdataView(Object o);
        void failReturnTask2View(Object o);
        void releaseTaskTaskUpdataView(Object o);
        void failReleaseTask2View(Object o);
    }
}
